Upstream information

CVE-2014-9087 at MITRE

Description

Integer underflow in the ksba_oid_to_str function in Libksba before 1.3.2, as used in GnuPG, allows remote attackers to cause a denial of service (crash) via a crafted OID in a (1) S/MIME message or (2) ECC based OpenPGP data, which triggers a buffer overflow.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 907074 [RESOLVED / FIXED], 926826 [RESOLVED / FIXED], 996084 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 6
SUSE Linux Enterprise Desktop 15 SP1
SUSE Linux Enterprise High Performance Computing 15 SP1
SUSE Linux Enterprise Module for Basesystem 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Manager Proxy 4.0
SUSE Manager Retail Branch Server 4.0
SUSE Manager Server 4.0
  • libksba-devel >= 1.3.5-2.14
  • libksba8 >= 1.3.5-2.14
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA libksba-devel-1.3.5-2.14
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Basesystem 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • libksba-devel >= 1.3.5-2.14
  • libksba8 >= 1.3.5-2.14
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP3 GA libksba-devel-1.3.5-2.14
SUSE Enterprise Storage 7
SUSE Linux Enterprise Desktop 15 SP2
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Module for Basesystem 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • libksba-devel >= 1.3.5-2.14
  • libksba8 >= 1.3.5-2.14
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP2 GA libksba-devel-1.3.5-2.14
SUSE Linux Enterprise Desktop 11 SP3
  • libksba >= 1.0.4-1.18.1
  • libksba-devel >= 1.0.4-1.18.1
Patchnames:
sdksp3-libksba
sledsp3-libksba
SUSE Linux Enterprise Desktop 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libksba-devel >= 1.0.4-1.18.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libksba-devel-1.0.4-1.18.1
SUSE Linux Enterprise Desktop 12 SP1
  • libksba-devel >= 1.3.0-9.1
  • libksba8 >= 1.3.0-9.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA libksba8-1.3.0-9.1
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libksba-devel-1.3.0-9.1
SUSE Linux Enterprise Desktop 12 SP2
  • libksba-devel >= 1.3.0-23.1
  • libksba8 >= 1.3.0-23.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libksba8-1.3.0-23.1
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libksba-devel-1.3.0-23.1
SUSE Linux Enterprise Desktop 12 SP3
  • libksba-devel >= 1.3.0-23.1
  • libksba8 >= 1.3.0-23.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libksba8-1.3.0-23.1
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libksba-devel-1.3.0-23.1
SUSE Linux Enterprise Desktop 12 SP4
  • libksba-devel >= 1.3.0-23.1
  • libksba8 >= 1.3.0-23.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA libksba8-1.3.0-23.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libksba-devel-1.3.0-23.1
SUSE Linux Enterprise Desktop 12
  • libksba-devel >= 1.3.0-9.1
  • libksba8 >= 1.3.0-9.1
Patchnames:
SUSE-SLE-DESKTOP-12-2015-16
SUSE-SLE-SDK-12-2015-16
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Basesystem 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • libksba-devel >= 1.3.5-2.14
  • libksba8 >= 1.3.5-2.14
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA libksba-devel-1.3.5-2.14
SUSE Linux Enterprise Desktop 15 SP5
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Basesystem 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • libksba-devel >= 1.3.5-150000.4.6.1
  • libksba8 >= 1.3.5-150000.4.6.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP5 GA libksba-devel-1.3.5-150000.4.6.1
SUSE Linux Enterprise Desktop 15
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Module for Basesystem 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • libksba-devel >= 1.3.5-2.14
  • libksba8 >= 1.3.5-2.14
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libksba-devel-1.3.5-2.14
SUSE Linux Enterprise High Performance Computing 12 SP5
  • libksba8 >= 1.3.0-23.1
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA libksba8-1.3.0-23.1
SUSE Linux Enterprise Micro 5.0
  • libksba8 >= 1.3.5-2.14
Patchnames:
SUSE Linux Enterprise Micro 5.0 GA libksba8-1.3.5-2.14
SUSE Linux Enterprise Micro 5.1
  • libksba8 >= 1.3.5-2.14
Patchnames:
SUSE Linux Enterprise Micro 5.1 GA libksba8-1.3.5-2.14
SUSE Linux Enterprise Micro 5.2
  • libksba8 >= 1.3.5-2.14
Patchnames:
SUSE Linux Enterprise Micro 5.2 GA libksba8-1.3.5-2.14
SUSE Linux Enterprise Micro 5.3
  • libksba8 >= 1.3.5-2.14
Patchnames:
SUSE Linux Enterprise Micro 5.3 GA libksba8-1.3.5-2.14
SUSE Linux Enterprise Micro 5.4
  • libksba8 >= 1.3.5-150000.4.6.1
Patchnames:
SUSE Linux Enterprise Micro 5.4 GA libksba8-1.3.5-150000.4.6.1
SUSE Linux Enterprise Micro 6.0
  • libksba8 >= 1.6.4-1.4
Patchnames:
SUSE Linux Enterprise Micro 6.0 GA libksba8-1.6.4-1.4
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • libksba >= 1.0.4-1.18.1
  • libksba-devel >= 1.0.4-1.18.1
Patchnames:
sdksp3-libksba
slessp3-libksba
SUSE Linux Enterprise Server 11 SP4
  • libksba >= 1.0.4-1.18.1
  • libksba-devel >= 1.0.4-1.18.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA libksba-1.0.4-1.18.1
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libksba-devel-1.0.4-1.18.1
SUSE Linux Enterprise Server 12 SP1
  • libksba-devel >= 1.3.0-9.1
  • libksba8 >= 1.3.0-9.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA libksba8-1.3.0-9.1
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libksba-devel-1.3.0-9.1
SUSE Linux Enterprise Server 12 SP2
  • libksba-devel >= 1.3.0-23.1
  • libksba8 >= 1.3.0-23.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libksba8-1.3.0-23.1
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libksba-devel-1.3.0-23.1
SUSE Linux Enterprise Server 12 SP3
  • libksba-devel >= 1.3.0-23.1
  • libksba8 >= 1.3.0-23.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libksba8-1.3.0-23.1
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libksba-devel-1.3.0-23.1
SUSE Linux Enterprise Server 12 SP4
  • libksba-devel >= 1.3.0-23.1
  • libksba8 >= 1.3.0-23.1
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA libksba8-1.3.0-23.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libksba-devel-1.3.0-23.1
SUSE Linux Enterprise Server 12 SP5
  • libksba-devel >= 1.3.0-9.1
  • libksba8 >= 1.3.0-23.1
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA libksba8-1.3.0-23.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libksba-1.3.0-23.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libksba-devel-1.3.0-23.1
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server for SAP Applications 12
  • libksba-devel >= 1.3.0-9.1
  • libksba8 >= 1.3.0-9.1
Patchnames:
SUSE-SLE-SDK-12-2015-16
SUSE-SLE-SERVER-12-2015-16
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libksba8 >= 1.3.0-23.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libksba8-1.3.0-23.1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libksba-devel >= 1.3.0-9.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libksba-devel-1.3.0-9.1
SUSE Linux Enterprise Server for SAP Applications 12 SP2
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libksba-devel >= 1.3.0-23.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libksba-devel-1.3.0-23.1
SUSE Linux Enterprise Server for SAP Applications 12 SP3
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libksba-devel >= 1.3.0-23.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libksba-devel-1.3.0-23.1
SUSE Linux Enterprise Server for SAP Applications 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libksba-devel >= 1.3.0-23.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libksba-devel-1.3.0-23.1
SUSE Linux Enterprise Server for SAP Applications 12 SP5
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libksba-devel >= 1.3.0-9.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libksba-1.3.0-23.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libksba-devel-1.3.0-23.1
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libksba-devel >= 1.0.4-1.18.1
Patchnames:
sdksp3-libksba
SUSE Linux Enterprise Software Development Kit 12
  • libksba-devel >= 1.3.0-9.1
Patchnames:
SUSE-SLE-SDK-12-2015-16
openSUSE Leap 15.0
  • libksba8 >= 1.3.5-lp150.2.2
Patchnames:
openSUSE Leap 15.0 GA libksba8-1.3.5-lp150.2.2
openSUSE Leap 15.2
  • libksba8 >= 1.3.5-lp152.4.6
Patchnames:
openSUSE Leap 15.2 GA libksba8-1.3.5-lp152.4.2
openSUSE Leap 15.3
  • libksba8 >= 1.3.5-2.14
Patchnames:
openSUSE Leap 15.3 GA libksba8-1.3.5-2.14
openSUSE Leap 15.4
  • libksba8 >= 1.3.5-2.14
Patchnames:
openSUSE Leap 15.4 GA libksba8-1.3.5-2.14
openSUSE Tumbleweed
  • libksba-devel >= 1.3.5-1.3
  • libksba8 >= 1.3.5-1.3
Patchnames:
openSUSE-Tumbleweed-2024-10126


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Linux Enterprise High Performance Computing 12 SP5 libksba Released
SUSE Linux Enterprise Server 12 SP5 libksba Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libksba Released
SUSE Linux Enterprise Software Development Kit 12 SP5 libksba Released
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 libksba Released
SUSE CaaS Platform 3.0 libksba Affected
SUSE Enterprise Storage 5 libksba Released
SUSE Linux Enterprise Desktop 11 SP1 libksba Released
SUSE Linux Enterprise Desktop 11 SP2 libksba Affected
SUSE Linux Enterprise Desktop 11 SP3 libksba Released
SUSE Linux Enterprise Desktop 11 SP4 libksba Affected
SUSE Linux Enterprise Desktop 12 libksba Released
SUSE Linux Enterprise Desktop 12 SP1 libksba Released
SUSE Linux Enterprise Desktop 12 SP2 libksba Affected
SUSE Linux Enterprise Desktop 12 SP3 libksba Affected
SUSE Linux Enterprise Desktop 12 SP4 libksba Affected
SUSE Linux Enterprise Point of Sale 11 SP3 libksba Affected
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT libksba Affected
SUSE Linux Enterprise Point of Service Image Server 12 SP2 libksba Released
SUSE Linux Enterprise Server 10 SP4-LTSS libksba Affected
SUSE Linux Enterprise Server 11 SP1 libksba Released
SUSE Linux Enterprise Server 11 SP1 LTSS libksba Released
SUSE Linux Enterprise Server 11 SP1-LTSS libksba Affected
SUSE Linux Enterprise Server 11 SP2 libksba Affected
SUSE Linux Enterprise Server 11 SP2-LTSS libksba Affected
SUSE Linux Enterprise Server 11 SP3 libksba Released
SUSE Linux Enterprise Server 11 SP3-LTSS libksba Affected
SUSE Linux Enterprise Server 11 SP4 libksba Affected
SUSE Linux Enterprise Server 11 SP4-LTSS libksba Affected
SUSE Linux Enterprise Server 12 libksba Released
SUSE Linux Enterprise Server 12 SP1 libksba Affected
SUSE Linux Enterprise Server 12 SP1-LTSS libksba Affected
SUSE Linux Enterprise Server 12 SP2 libksba Affected
SUSE Linux Enterprise Server 12 SP2-BCL libksba Released
SUSE Linux Enterprise Server 12 SP2-ESPOS libksba Released
SUSE Linux Enterprise Server 12 SP2-LTSS libksba Released
SUSE Linux Enterprise Server 12 SP3 libksba Affected
SUSE Linux Enterprise Server 12 SP3-BCL libksba Released
SUSE Linux Enterprise Server 12 SP3-ESPOS libksba Released
SUSE Linux Enterprise Server 12 SP3-LTSS libksba Released
SUSE Linux Enterprise Server 12 SP4 libksba Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS libksba Released
SUSE Linux Enterprise Server 12 SP4-LTSS libksba Released
SUSE Linux Enterprise Server 12-LTSS libksba Affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 libksba Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP1 libksba Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 libksba Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP3 libksba Released
SUSE Linux Enterprise Server for SAP Applications 11 SP4 libksba Affected
SUSE Linux Enterprise Server for SAP Applications 12 libksba Released
SUSE Linux Enterprise Server for SAP Applications 12 SP1 libksba Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libksba Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libksba Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libksba Released
SUSE Linux Enterprise Server for SAP Business All-in-One 11 SP1 libksba Released
SUSE Linux Enterprise Software Development Kit 11 SP1 libksba Released
SUSE Linux Enterprise Software Development Kit 11 SP2 libksba Affected
SUSE Linux Enterprise Software Development Kit 11 SP3 libksba Released
SUSE Linux Enterprise Software Development Kit 11 SP4 libksba Affected
SUSE Linux Enterprise Software Development Kit 12 libksba Released
SUSE Linux Enterprise Software Development Kit 12 SP1 libksba Affected
SUSE Linux Enterprise Software Development Kit 12 SP2 libksba Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 libksba Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 libksba Affected
SUSE OpenStack Cloud 7 libksba Released
SUSE OpenStack Cloud 8 libksba Released
SUSE OpenStack Cloud 9 libksba Released
SUSE OpenStack Cloud Crowbar 8 libksba Released
SUSE OpenStack Cloud Crowbar 9 libksba Released


SUSE Timeline for this CVE

CVE page created: Wed Nov 26 09:23:01 2014
CVE page last modified: Fri Jul 19 16:41:47 2024